/**********************************************************
  DigitalInput - NightShade_Treo by NightShade Electronics

  This sketch demonstrates the functionality of the  
  NightShade Trēo digital input modules like buttons and 
  switches. It prints any chance in state to Serial at 
  115200 baudrate.
  
  Created by Aaron D. Liebold
  on February 15, 2021

  Links:
  NightShade Trēo System: https://nightshade.net/treo

  Distributed under the MIT license
  Copyright (C) 2021 NightShade Electronics
  https://opensource.org/licenses/MIT
**********************************************************/

// Include NightShade Treo Library
#include <NightShade_Treo.h>

// Declare Objects (Dual Input Device - GPIO0: D5, GPIO1: D4)
NightShade_Treo_DigitalInput input0(5);
NightShade_Treo_DigitalInput input1(4);

void setup() {
  Serial.begin(115200); // Initialize Serial at 115200 baud
}

void loop() {
  if (input0.read()) {
    Serial.println("Input0 Activated!");
    while (input0.read()); // Wait until input is released
    Serial.println("Input0 Deactivated!\n");
  }
  if (input1.read()) {
    Serial.println("Input1 Activated!");
    while (input1.read()); // Wait until input is released
    Serial.println("Input1 Deactivated!\n");
  }
}
